extends Node2D

class_name Location

var entryLocations = []

var outside = true

var leftCameraLimit = -100000
var rightCameraLimit = 100000
var upperCameraLimit = -100000
var lowerCameraLimit = 100000

func _init():
	initialize_entry_locations()
	initialize_camera_limits()

func initialize_entry_locations():
	pass

func initialize_camera_limits():
	pass
